Page MenuHomePhabricator

Migrate the simplest limn dashboards to dashiki tabular {frog}
Closed, ResolvedPublic8 Estimated Story Points

Description

We have a few dashboards that should be simple to move to dashiki with the new tabular layout, with some minor changes:

  • ee-dashboard/ (being migrated already by @HJiang-WMF)
  • flow-reportcard/ (easy to migrate)
  • glam-metrics/ (easy)

Event Timeline

Milimetric raised the priority of this task from to Medium.
Milimetric updated the task description. (Show Details)
Milimetric added a project: Analytics.
Milimetric added a subscriber: Milimetric.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2016, 6:44 PM
Nuria moved this task from Dashiki to Backlog (Later) on the Analytics board.Jul 25 2016, 4:43 PM
Nuria moved this task from Backlog (Later) to Dashiki on the Analytics board.
Nuria added a subscriber: Nuria.

This should be on operational excellence if possible q1 , if not for sure q2.

Nuria moved this task from Dashiki to Backlog (Later) on the Analytics board.Aug 15 2016, 3:45 PM
Nuria updated the task description. (Show Details)Sep 29 2016, 4:57 PM
Nuria updated the task description. (Show Details)
Nuria updated the task description. (Show Details)
Nuria set the point value for this task to 8.
Nuria added a subscriber: HJiang-WMF.
Nuria edited projects, added Analytics-Kanban; removed Analytics.Sep 29 2016, 5:17 PM
mforns claimed this task.Oct 10 2016, 1:15 PM
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.

Hi @HJiang-WMF!
I'm migrating flow-reportcard and glam-metrics to Dashiki right now, and I saw in the task description that you are doing the same with ee-dashboard. Can I help with anything?

mforns moved this task from In Progress to Paused on the Analytics-Kanban board.Oct 19 2016, 11:19 AM

Moved to paused until we know next steps in the editor engagement dashboards, the rest is done.

Change 320433 had a related patch set uploaded (by Mforns):
Add template for migration to reportupdater dashiki

https://gerrit.wikimedia.org/r/320433

Change 320433 abandoned by Mforns:
Add template for migration to reportupdater dashiki

Reason:
Finished in another patch.

https://gerrit.wikimedia.org/r/320433

Change 320433 restored by Mforns:
Add template for migration to reportupdater dashiki

Reason:
Needed for merging...

https://gerrit.wikimedia.org/r/320433

Change 324461 had a related patch set uploaded (by Mforns):
Add queries and config for ee migration

https://gerrit.wikimedia.org/r/324461

Change 324461 merged by Mforns:
Add queries and config for ee migration

https://gerrit.wikimedia.org/r/324461

Change 320433 abandoned by Mforns:
Add template for migration to reportupdater dashiki

Reason:
https://gerrit.wikimedia.org/r/#/c/324461/

https://gerrit.wikimedia.org/r/320433

Change 324466 had a related patch set uploaded (by Mforns):
Add a reportupdater job for ee-migration

https://gerrit.wikimedia.org/r/324466

Change 324466 merged by Ottomata:
Add a reportupdater job for ee-migration

https://gerrit.wikimedia.org/r/324466

mforns moved this task from Paused to In Progress on the Analytics-Kanban board.Dec 1 2016, 4:04 PM

Change 324946 had a related patch set uploaded (by Mforns):
Change value column name for better coloring

https://gerrit.wikimedia.org/r/324946

Change 324946 merged by Mforns:
Change value column name for better coloring

https://gerrit.wikimedia.org/r/324946

mforns moved this task from In Progress to Done on the Analytics-Kanban board.Dec 7 2016, 4:04 PM
Nuria closed this task as Resolved.Dec 16 2016, 6:01 PM